--- title: "changeFabricClusterDescription" slug: "compute-vserver-fabriccluster-changefabricclusterdescription" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-fabriccluster-changefabricclusterdescription" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeFabricClusterDescription Available in VPC Change the Fabric cluster description. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/changeFabricClusterDescription | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `fabricClusterNo` | String | Required | Fabric cluster number - See [getFabricClusterList](/docs/en/compute-vserver-fabriccluster-getfabricclusterlist). | | `fabricClusterDescription` | String | Optional | Fabric cluster description (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/changeFabricClusterDescription ?regionCode=KR &fabricClusterNo=13** &fabricClusterDescription=updated-description &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `changeFabricClusterDescriptionResponse` | Object | - | Response result - See [FabricClusterList](/docs/en/common-vapidatatype-fabricclusterlist). | | `changeFabricClusterDescriptionResponse.requestId` | String | - | ID for the request - UUID format | | `changeFabricClusterDescriptionResponse.returnCode` | String | - | Response code | | `changeFabricClusterDescriptionResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "changeFabricClusterDescriptionResponse": { "totalRows": 1, "fabricClusterList": [ { "fabricClusterNo": "13**", "fabricClusterName": "test-***", "fabricClusterStatus": { "code": "RUN", "codeName": "In operation" }, "fabricClusterDescription": "updated-description", "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "***84", "fabricClusterPoolNo": "***01", "fabricClusterPoolName": "test-***", "fabricClusterPoolCode": "test-***", "createDate": "2025-12-12T13:36:17+0900", "fabricClusterServerInstanceList": [ { "serverInstanceNo": "****59627", "serverName": "test-***", "serverInstanceStatus": { "code": "RUN", "codeName": "Server RUN status" }, "serverInstanceOperation": { "code": "NULL", "codeName": "Server NULL OP" }, "serverInstanceStatusName": "running" } ] } ], "requestId": "e7039be4-3b54-4713-a03c-69dc3dcdd4e7", "returnCode": "0", "returnMessage": "success" } } ```